/*
 * Copyright (C) 2013 nico3000 - All Rights Reserved
 */
package resource;


/**
 * Eine Resource ist eine Datei, die Daten fuer die Engine enthaelt.
 * @author nico3000
 */
public class Resource {
    /**
     * Der Name der Resource.
     */
    private final String name;
    
    /**
     * Konstruktor.
     * @param name Der Name der Datei
     */
    public Resource(String name) {
        this.name = name == null ? "" : name.trim();
    }

    /**
     * Liefert den Namen der Datei.
     * @return Der Name der Datei
     */
    public String getName() {
        return name;
    }
}
