/*
 * This software is the proprietary information of nico3000.
 */
package controls;

import event.EventData;

/**
 *
 * @author nico3000
 */    
public abstract class PointerMovedEvent extends EventData {
    private int deltaX, deltaY;

    protected PointerMovedEvent() {}

    public void setDelta(int deltaX, int deltaY) {
        this.deltaX = deltaX;
        this.deltaY = deltaY;
    }

    public int getDeltaX() {
        return this.deltaX;
    }

    public int getDeltaY() {
        return this.deltaY;
    }        
} 
