/*
 * Copyright (C) 2012 nico3000 - All Rights Reserved
 */
package event.events;

/**
 * Das Event wird geworfen, sobald ein Actor bewegt wurde (TransformComponent).
 * @author nico3000
 */
public class ActorMovedEvent extends ActorEvent {
    public static final int ID = 0x44f9be68;
    
    /**
     * Konstruktor.
     * @param actorId Die ID des Actors, der sich bewegt hat
     */
    public ActorMovedEvent(int actorId) {
        super(actorId);
    }
    
    @Override
    public int getId() {
        return ID;
    }
    
}
